%define majorver 8.5

Summary: The graphical toolkit for the Tcl scripting language
Name: tk
Version: %{majorver}.3
Release: 1
License: TCL
Group: Development/Languages
URL: http://tcl.sourceforge.net
Source0: http://download.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tcl-devel = %{version}
Requires: tcl = %{version}

%description
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.


%package devel
Summary: Tk graphical toolkit development files
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: tcl-devel = %{version}

%description devel
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

The package contains the development files and man pages for tk.


%prep
%setup -q -n %{name}%{version}


%build
cd unix
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-threads \
    --enable-xft \
    --with-x
make %{?_smp_mflags} TK_LIBRARY=%{_datadir}/%{name}%{majorver}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd unix
make DESTDIR=${RPM_BUILD_ROOT} install TK_LIBRARY=%{_datadir}/%{name}%{majorver}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

ln -sf wish%{majorver} ${RPM_BUILD_ROOT}%{_bindir}/wish
ln -sf lib%{name}%{majorver}.so ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.so

cat ${RPM_BUILD_ROOT}%{_libdir}/%{name}Config.sh | \
    sed -e "s|$PWD/lib.exp|%{_libdir}/%{name}%{majorver}.exp|" | \
    sed -e "s|$PWD|%{_libdir}|" > \
    ${RPM_BUILD_ROOT}%{_libdir}/tmpFile.tmp
mv -f ${RPM_BUILD_ROOT}%{_libdir}/tmpFile.tmp ${RPM_BUILD_ROOT}%{_libdir}/%{name}Config.sh

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README changes license.terms
%{_bindir}/wish*
%{_libdir}/lib*.so
%dir %{_libdir}/%{name}%{majorver}
%{_libdir}/%{name}%{majorver}/*
%dir %{_datadir}/%{name}%{majorver}
%{_datadir}/%{name}%{majorver}/*
%{_mandir}/man1/*
%{_mandir}/mann/*
/usr/bin/wish*
/usr/lib/lib*.so


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/lib*.exp
%{_libdir}/lib*.a
%{_libdir}/%{name}Config.sh
%{_mandir}/man3/*
/usr/include/*
/usr/lib/lib*.a


%changelog
* Mon Jul 07 2008 Michael Perzl <michael@perzl.org> - 8.5.3-1
- updated to version 8.5.3

* Thu Apr 24 2008 Michael Perzl <michael@perzl.org> - 8.5.2-1
- first version for AIX V5.1 and higher
